Subject: RE: draft-ietf-fax-reporting-extensions-01.txt

From: Dan Wing <[email-masked]>
Date: Fri, 11 Sep 1998 9:12:01 -0700

>> >> >      xmit-pages     = 1*DIGIT
>> >> >      media-feature-tags = *text <per [MEDIA-FEATURES] with LWS
>> >> wrapping>
>> >> >      bit-rate       = "110" / "300" / "1200" / "2400" / "4800" /
>> >> "9600" / 
>> >> >                       "14400" / "28800"
>> >> 
>> >	[McIntyre, Lloyd]  What is the purpose of listing these data
>> >rates? Is it: a) to reflect upper data rates for various modems or b)
>> to
>> >reflect all the possible data rates that may be used by fax modems?
>	[McIntyre, Lloyd]  You did not respond my question with regard
>to the relevance of "100" and "1200".

I had no intent of omitting them.  That is a small point.

>> To indicate the rate used by the modem *for this transmission*.
>	[McIntyre, Lloyd]  Then the more complete data rate list is
>needed. This is independent of interpage rate change.
>
>> As has been pointed out on this list, though, the rate can be
>> renegotiated per-page and the syntax doesn't provide a mechanism
>> to indicate that occurred.  
>	[McIntyre, Lloyd]  Understood.
>
>> Unless someone proposes a mechanism to show this per-page, I'm
>> going to drop it entirely - I simply don't see it as being
>> important information for an end user.
>	[McIntyre, Lloyd]  Are you saying that you are going to drop
>representation of data rates entirely or representation of data rates on
>a per page basis?

Correct.  Right now I think the best idea is something like
transmission-speed: page=1, speed=2400; page=2, speed=9600,
  page=3, speed=9600

John Huggins also pointed out that renegotiation also takes time.  
Shouldn't that be expressed, too?  NACKd scan lines have to be
retransmitted which also takes time.  We should perhaps provide
a way to represent that, too....

-Dan Wing